<?xml version="1.0"?>
<!DOCTYPE logtalk SYSTEM "logtalk.dtd">
<?xml-stylesheet type="text/xsl" href="lgtxml.xsl"?>
<logtalk>
<entity>
<name><![CDATA[datep]]></name>
<type>protocol</type>
<compilation>static</compilation>
<comment><![CDATA[Date protocol.]]></comment>
<authors><![CDATA[Paulo Moura]]></authors>
<version>1.0</version>
<date>2000/7/24</date>
</entity>
<relations>
</relations>
<predicates>
<public>
<predicate>
<name><![CDATA[today/3]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[today(-integer,-integer,-integer)]]></template>
<solutions>one</solutions>
</mode>
</predicate>
<predicate>
<name><![CDATA[leap_year/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[leap_year(+integer)]]></template>
<solutions>zero_or_one</solutions>
</mode>
</predicate>
<predicate>
<name><![CDATA[name_of_day/3]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[name_of_day(?integer,?atom,?atom)]]></template>
<solutions>zero_or_more</solutions>
</mode>
</predicate>
<predicate>
<name><![CDATA[name_of_month/3]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[name_of_month(?integer,?atom,?atom)]]></template>
<solutions>zero_or_more</solutions>
</mode>
</predicate>
<predicate>
<name><![CDATA[days_in_month/3]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[days_in_month(?integer,+integer,?integer)]]></template>
<solutions>zero_or_more</solutions>
</mode>
</predicate>
<predicate>
<name><![CDATA[valid/3]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[valid(@integer,@integer,@integer)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Name and short name of day.]]></comment>
<template><![CDATA[valid(Index,Name,Short)]]></template>
</predicate>
</public>
<protected>
</protected>
<private>
</private>
</predicates>
</logtalk>
